import request from './request';

// 查詢門店是否支持数字货架
export const findStoreShelf = (params) => {
  return request({
    url: `shelf/findStoreShelf`,
    method: 'get'
  })
}
// vin 查询 车型code
export const queryPartCodeByVin = (params) => {
  return request({
    url: `vinPart/queryPartCodeByVin/${params.vinNumber}`,
    method: 'get'
  })
}
//数字货架适配vin不分页
export const getShelfQueryList = (params) => {
  return request({
    url: `shelfProduct/queryList`,
    data: params,
    method: 'post'
  })
}
//数字货架产品分页
export const getShelfProductList = (params) => {
  return request({
    url: `shelfProduct/queryPage/${params.pageNo}/${params.pageSize}`,
    data: params,
    method: 'post'
  })
}
//数字货架产品类型查询
export const getShelfProductType = (params) => {
  return request({
    url: `shelfProductType/queryList`,
    data: params,
    method: 'post'
  })
}
// 数字货架订单分页查询
export const getShelfOrderList = (params) => {
  return request({
    url: `shelfOrder/queryPage/${params.pageNo}/${params.pageSize}`,
    data: params,
    method: 'post'
  })
}
// 保存数字货架订单
export const saveShelfOrder = (params) => {
  return request({
    url: `shelfOrder/create`,
    data: params,
    method: 'post'
  })
}
// 关闭订单
export const cancelShelfOrder = (params) => {
  return request({
    url: `shelfOrder/cancel/${params.sn}`,
    method: 'get'
  })
}
// 数字货架取货单详情
export const findBySnShelfOrder = (params) => {
  return request({
    url: `shelfOrder/findBySn/${params.sn}`,
    method: 'get'
  })
}
// 确认取货
export const outShelfOrder = (params) => {
  return request({
    url: `shelfOrder/out/${params.sn}`,
    method: 'get'
  })
}
// 一键取货
export const takeGoods = (params) => {
  return request({
    url: `shelfOrder/takeGoods/${params.sn}`,
    method: 'get'
  })
}
// 扫码确认
export const scanConfirmShelfOrder = (params) => {
  return request({
    url: `shelfOrder/scanConfirm`,
	data: params,
    method: 'post'
  })
}
// 待结算列表-按月结算
export const waitSettleForMonth = (params) => {
  return request({
    url: `shelfOrder/waitSettleForMonth`,
    method: 'get'
  })
}
// 待结算列表-授信结算
export const waitSettleForSx = (params) => {
  return request({
    url: `shelfOrder/waitSettleForSx/${params.shelfOrderState}`,
    method: 'get'
  })
}

// 数字货架结算单分页查询
export const getShelfSettleBillList = (params) => {
  return request({
    url: `shelfSettleBill/queryPage/${params.pageNo}/${params.pageSize}`,
    data: params,
    method: 'post'
  })
}

// 结算是否支付成功
export const shelfSettleBillPaySuccess = (params) => {
  return request({
    url: `shelfSettleBill/isPay/${params.orderNo}`,
    method: 'get'
  })
}
// 数字货架结算单去支付
export const shelfSettleBillToPay = (params) => {
  return request({
    url: `shelfSettleBill/toPay`,
    data: params,
    method: 'post'
  })
}

// 保证金是否支付成功
export const shelfBondRecordPaySuccess = (params) => {
  return request({
    url: `shelfBondRecord/isPay/${params.orderNo}`,
    method: 'get'
  })
}

//保证金去支付
export const shelfBondRecordToPay = (params) => {
  return request({
    url: `shelfBondRecord/toPay`,
	data: params,
    method: 'post'
  })
}
// 待支付保证金
export const shelfBondRecordWaitPayRecord = (params) => {
  return request({
    url: `shelfBondRecord/waitPayRecord`,
    data: params,
    method: 'post'
  })
}
// 查詢門店数字数字货架
export const findStoreShelfSettleRule = (params) => {
  return request({
    url: `shelf/settleRule/findStoreShelfSettleRule`,
    method: 'get'
  })
}

// 补货入库列表
export const getShelfReplenishBilllList = (params) => {
  return request({
    url: `shelfReplenishBill/queryPage/${params.pageNo}/${params.pageSize}`,
    data: params,
    method: 'post'
  })
}
// 补货入库详情
export const findShelfReplenishBill = (params) => {
  return request({
    url: `shelfReplenishBill/findBySn/${params.sn}`,
    method: 'get'
  })
}

// 临时补货保存
export const shelfTemporarySave = (params) => {
  return request({
    url: `shelfTemporaryDispatching/save`,
	data: params,
    method: 'post'
  })
}

// 取货列表数量合计
export const shelfGetTotalWaitQty = (params) => {
  return request({
    url: `shelfOrder/getTotalWaitQty`,
	data: params,
    method: 'post'
  })
}
// 临配订单待取数量
export const shelfTempTotalWaitQty = (params) => {
  return request({
    url: `shelfTempBill/getQty`,
	data: params,
    method: 'post'
  })
}
// 库存查询
export const getShelfProductStockList = (params) => {
  return request({
    url: `shelfProduct/queryDepot/${params.pageNo}/${params.pageSize}`,
    data: params,
    method: 'post'
  })
}

// 临配订单
export const getShelfTempBillList = (params) => {
  return request({
    url: `shelfTempBill/queryPage/${params.pageNo}/${params.pageSize}`,
    data: params,
    method: 'post'
  })
}
// 临配订单详情
export const getShelfTempBillDetail = (params) => {
  return request({
    url: `shelfTempBill/findBySn/${params.sn}`,
    method: 'get'
  })
}